#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	terminator
Version		:	2.1.2
Release		:	14.4.0.0%{?dist}
Summary		:	Store and run multiple GNOME terminals in one window
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/gnome-terminator/terminator/releases

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildArch	:	noarch

BuildRequires	:	python3-pip

Requires	:	python3-psutil
Requires	:	python3-configobj
Requires	:	python3-pygobject

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
Multiple GNOME terminals in one window.  This is a project to produce
an efficient way of filling a large area of screen space with
terminals. This is done by splitting the window into a resizeable
grid of terminals. As such, you can  produce a very flexible
arrangements of terminals for different tasks

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


#%{__python} -m pip wheel --wheel-dir %{_pyproject_wheeldir} --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --progress-bar off --verbose .

%{__python}						\
	setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	-O1						\
	--skip-build					\
	--root %{buildroot}				\

#removing unneeded cache 
%{__rm} -f						\
	%{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_bindir}/remotinator
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/{actions,apps,status}/%{name}*.png
%{_datadir}/icons/hicolor/16x16/status/terminal-bell.png
%{_datadir}/icons/HighContrast/*/{actions,apps,status}/%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/icons/HighContrast/scalable/apps/%{name}*.svg
%{_datadir}/icons/HighContrast/16x16/status/terminal-bell.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/%{name}lib/themes/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{name}lib/*.glade
%{python3_sitelib}/%{name}lib/*.py
%{python3_sitelib}/%{name}lib/__pycache__/*.pyc
%{python3_sitelib}/%{name}lib/plugins/*.py
%{python3_sitelib}/%{name}lib/plugins/__pycache__/*.pyc
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/%{name}_config.5.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

%post
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-----------------------------------------------------------------------------
%changelog
